#!/bin/bash

set -e

# Install Docker and C libraries on which Python libraries are dependent
brew update
brew install boot2docker docker libevent libmagic postgresql

# Some OSX installs don't have /usr/include, which is required for finding SASL headers for our LDAP library
if [ ! -e /usr/include ]; then
    sudo ln -s `xcrun --show-sdk-path`/usr/include /usr/include
fi

# Install Python dependencies
sudo pip install -r requirements.txt

# Put the local testing config in place
git clone git@github.com:coreos-inc/quay-config.git ../quay-config
ln -s ../../quay-config/local conf/stack
